#

## archive

Handle archive files

### Usage:

> archive write | read filename

### Summary:

> The archive command handles archive files. The exact operation depends on the option, and are outlined below:
> archive write filename
>   creates and writes to the file filename a copy of the contents of all database cells.

> archive read filename
>   recovers the database from the contents of the saved archive file filename.

Archive files use the same format as crash recovery files, which is a single file containing all database files with additional metadata about the original location of each file.

### Implementation Notes:

> archive is implemented as a built-in command in magic.

### See Also:

> crash

Return to command index

Last updated: January 12, 2021 at 10:10am